SET NOCOUNT ON
IF NOT EXISTS(
	SELECT 
		ID 
	FROM 
		SYSOBJECTS 
	WHERE 
		NAME = 'TELE_ORC_ITEM_RECEITA' AND XTYPE = 'U')
BEGIN
	SET NOCOUNT OFF
	RAISERROR('A TABELA NA QUAL O CAMPO SERÁ ADICIONADO NÃO FOI ENCONTRADA NO BANCO DE DADOS.',16,1)
END

ELSE
BEGIN
	IF NOT EXISTS (
		SELECT
			* 
		FROM 
			SYSCOLUMNS 
		WHERE 
			NAME = 'CD_RECEITA'
			AND ID IN (
				SELECT 
					ID 
				FROM 
					SYSOBJECTS 
				WHERE 
					NAME = 'TELE_ORC_ITEM_RECEITA' AND XTYPE = 'U'))

		BEGIN
			ALTER TABLE TELE_ORC_ITEM_RECEITA ADD CD_RECEITA INT
		END
	SET NOCOUNT OFF
	PRINT 'CAMPO CD_RECEITA NA TABELA TELE_ORC_ITEM_RECEITA INSERIDO COM SUCESSO'
END


